Bug 189858 - [NEW PORT] devel/gradle: Project automation tool
Summary: [NEW PORT] devel/gradle: Project automation tool
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-16 12:00 UTC by Gasol Wu
Modified: 2014-05-24 22:22 UTC (History)
0 users

See Also:


Attachments
gradle-1.12.shar (9.79 KB, text/plain)
2014-05-16 12:00 UTC, Gasol Wu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gasol Wu 2014-05-16 12:00:00 UTC
Gradle is build automation evolved.

Gradle can automate the building, testing, publishing, deployment and more of
software packages or other types of projects such as generated static websites,
generated documentation or indeed anything else.

Gradle combines the power and flexibility of Ant with the dependency management
and conventions of Maven into a more effective way to build. Powered by a Groo-
vy DSL and packed with innovation, Gradle provides a declarative way to descri-
be all kinds of builds through sensible defaults. Gradle is quickly becoming
the build system of choice for many open source projects, leading edge enterpr-
ises and legacy automation challenges.

WWW: http://www.gradle.org

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: new)
Comment 1 Edwin Groothuis freebsd_committer 2014-05-16 12:00:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

sunpoet@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-05-24 21:54:22 UTC
Author: sunpoet
Date: Sat May 24 20:54:16 2014
New Revision: 355086
URL: http://svnweb.freebsd.org/changeset/ports/355086
QAT: https://qat.redports.org/buildarchive/r355086/

Log:
  - Add gradle 1.12
  
  Gradle is build automation evolved.
  
  Gradle can automate the building, testing, publishing, deployment and more of
  software packages or other types of projects such as generated static websites,
  generated documentation or indeed anything else.
  
  Gradle combines the power and flexibility of Ant with the dependency management
  and conventions of Maven into a more effective way to build. Powered by a Groo-
  vy DSL and packed with innovation, Gradle provides a declarative way to descri-
  be all kinds of builds through sensible defaults. Gradle is quickly becoming
  the build system of choice for many open source projects, leading edge enterpr-
  ises and legacy automation challenges.
  
  WWW: http://www.gradle.org/
  
  PR:		ports/189858
  Submitted by:	Gasol Wu <gasol.wu@gmail.com>

Added:
  head/devel/gradle/
  head/devel/gradle/Makefile   (contents, props changed)
  head/devel/gradle/distinfo   (contents, props changed)
  head/devel/gradle/files/
  head/devel/gradle/files/gradle.in   (contents, props changed)
  head/devel/gradle/pkg-descr   (contents, props changed)
  head/devel/gradle/pkg-plist   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Sat May 24 20:54:09 2014	(r355085)
+++ head/devel/Makefile	Sat May 24 20:54:16 2014	(r355086)
@@ -611,6 +611,7 @@
     SUBDIR += gps
     SUBDIR += gpsim
     SUBDIR += gputils
+    SUBDIR += gradle
     SUBDIR += grantlee
     SUBDIR += gsettings-desktop-schemas
     SUBDIR += gsoap

Added: head/devel/gradle/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/gradle/Makefile	Sat May 24 20:54:16 2014	(r355086)
@@ -0,0 +1,32 @@
+# Created by: Gasol Wu <gasol.wu@gmail.com>
+# $FreeBSD$
+
+PORTNAME=	gradle
+PORTVERSION=	1.12
+CATEGORIES=	devel java
+MASTER_SITES=	https://services.gradle.org/distributions/
+DISTNAME=	${PORTNAME}-${PORTVERSION}-bin
+
+MAINTAINER=	gasol.wu@gmail.com
+COMMENT=	Project automation tool
+
+LICENSE=	APACHE20
+
+USES=		zip
+USE_JAVA=	yes
+NO_BUILD=	yes
+WRKSRC=		${WRKDIR}/${DISTNAME:S/-bin$$//}
+SUB_LIST=	PORTVERSION=${PORTVERSION} \
+		JAVA=${JAVA}
+SUB_FILES=	gradle
+
+do-install:
+	@${ECHO_MSG} -n ">> Installing scripts..."
+	@${INSTALL_SCRIPT} ${WRKDIR}/gradle ${STAGEDIR}${PREFIX}/bin/gradle
+	@${ECHO_MSG} " [ DONE ]"
+
+	@${ECHO_MSG} -n ">> Installing data directory 'lib'..."
+	@cd ${WRKSRC} && ${COPYTREE_SHARE} lib ${STAGEDIR}${DATADIR}
+	@${ECHO_MSG} " [ DONE ]"
+
+.include <bsd.port.mk>

Added: head/devel/gradle/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/gradle/distinfo	Sat May 24 20:54:16 2014	(r355086)
@@ -0,0 +1,2 @@
+SHA256 (gradle-1.12-bin.zip) = 8734b13a401f4311ee418173ed6ca8662d2b0a535be8ff2a43ecb1c13cd406ea
+SIZE (gradle-1.12-bin.zip) = 42080843

Added: head/devel/gradle/files/gradle.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/gradle/files/gradle.in	Sat May 24 20:54:16 2014	(r355086)
@@ -0,0 +1,3 @@
+#!/usr/bin/env bash
+
+exec "%%JAVA%%" $JAVA_OPTS -classpath "%%DATADIR%%/lib/gradle-launcher-%%PORTVERSION%%.jar" org.gradle.launcher.GradleMain "$@"

Added: head/devel/gradle/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/gradle/pkg-descr	Sat May 24 20:54:16 2014	(r355086)
@@ -0,0 +1,14 @@
+Gradle is build automation evolved.
+
+Gradle can automate the building, testing, publishing, deployment and more of
+software packages or other types of projects such as generated static websites,
+generated documentation or indeed anything else.
+
+Gradle combines the power and flexibility of Ant with the dependency management
+and conventions of Maven into a more effective way to build. Powered by a Groo-
+vy DSL and packed with innovation, Gradle provides a declarative way to descri-
+be all kinds of builds through sensible defaults. Gradle is quickly becoming
+the build system of choice for many open source projects, leading edge enterpr-
+ises and legacy automation challenges.
+
+WWW: http://www.gradle.org/

Added: head/devel/gradle/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/gradle/pkg-plist	Sat May 24 20:54:16 2014	(r355086)
@@ -0,0 +1,153 @@
+bin/gradle
+%%DATADIR%%/lib/ant-1.9.3.jar
+%%DATADIR%%/lib/ant-launcher-1.9.3.jar
+%%DATADIR%%/lib/asm-4.0.jar
+%%DATADIR%%/lib/asm-all-5.0_BETA.jar
+%%DATADIR%%/lib/bintray-client-java-api-0.1.0.jar
+%%DATADIR%%/lib/bintray-client-java-impl-0.1.0.jar
+%%DATADIR%%/lib/commons-beanutils-1.8.0.jar
+%%DATADIR%%/lib/commons-codec-1.6.jar
+%%DATADIR%%/lib/commons-collections-3.2.1.jar
+%%DATADIR%%/lib/commons-io-1.4.jar
+%%DATADIR%%/lib/commons-lang-2.6.jar
+%%DATADIR%%/lib/commons-logging-1.1.1.jar
+%%DATADIR%%/lib/dom4j-1.6.1.jar
+%%DATADIR%%/lib/ezmorph-1.0.6.jar
+%%DATADIR%%/lib/gradle-base-services-1.12.jar
+%%DATADIR%%/lib/gradle-base-services-groovy-1.12.jar
+%%DATADIR%%/lib/gradle-cli-1.12.jar
+%%DATADIR%%/lib/gradle-core-1.12.jar
+%%DATADIR%%/lib/gradle-docs-1.12.jar
+%%DATADIR%%/lib/gradle-launcher-1.12.jar
+%%DATADIR%%/lib/gradle-messaging-1.12.jar
+%%DATADIR%%/lib/gradle-native-1.12.jar
+%%DATADIR%%/lib/gradle-open-api-1.12.jar
+%%DATADIR%%/lib/gradle-resources-1.12.jar
+%%DATADIR%%/lib/gradle-tooling-api-1.12.jar
+%%DATADIR%%/lib/gradle-ui-1.12.jar
+%%DATADIR%%/lib/gradle-wrapper-1.12.jar
+%%DATADIR%%/lib/groovy-all-1.8.6.jar
+%%DATADIR%%/lib/guava-jdk5-14.0.1.jar
+%%DATADIR%%/lib/http-builder-0.6.jar
+%%DATADIR%%/lib/httpclient-4.2.2.jar
+%%DATADIR%%/lib/httpcore-4.2.2.jar
+%%DATADIR%%/lib/ivy-2.2.0.jar
+%%DATADIR%%/lib/jansi-1.2.1.jar
+%%DATADIR%%/lib/jarjar-1.3.jar
+%%DATADIR%%/lib/javax.inject-1.jar
+%%DATADIR%%/lib/jaxen-1.1.jar
+%%DATADIR%%/lib/jcifs-1.3.17.jar
+%%DATADIR%%/lib/jcip-annotations-1.0.jar
+%%DATADIR%%/lib/jcl-over-slf4j-1.7.5.jar
+%%DATADIR%%/lib/jna-3.2.7.jar
+%%DATADIR%%/lib/jna-posix-1.0.3.jar
+%%DATADIR%%/lib/joda-time-2.3.jar
+%%DATADIR%%/lib/jsch-0.1.51.jar
+%%DATADIR%%/lib/json-lib-2.3-jdk15.jar
+%%DATADIR%%/lib/jul-to-slf4j-1.7.5.jar
+%%DATADIR%%/lib/kryo-2.20.jar
+%%DATADIR%%/lib/log4j-over-slf4j-1.7.5.jar
+%%DATADIR%%/lib/logback-classic-1.0.13.jar
+%%DATADIR%%/lib/logback-core-1.0.13.jar
+%%DATADIR%%/lib/minlog-1.2.jar
+%%DATADIR%%/lib/native-platform-0.10.jar
+%%DATADIR%%/lib/native-platform-freebsd-amd64-0.10.jar
+%%DATADIR%%/lib/native-platform-freebsd-i386-0.10.jar
+%%DATADIR%%/lib/native-platform-linux-amd64-0.10.jar
+%%DATADIR%%/lib/native-platform-linux-i386-0.10.jar
+%%DATADIR%%/lib/native-platform-osx-amd64-0.10.jar
+%%DATADIR%%/lib/native-platform-osx-i386-0.10.jar
+%%DATADIR%%/lib/native-platform-windows-amd64-0.10.jar
+%%DATADIR%%/lib/native-platform-windows-i386-0.10.jar
+%%DATADIR%%/lib/objenesis-1.2.jar
+%%DATADIR%%/lib/plugins/ant-antlr-1.9.3.jar
+%%DATADIR%%/lib/plugins/antlr-2.7.7.jar
+%%DATADIR%%/lib/plugins/bcpg-jdk15-1.46.jar
+%%DATADIR%%/lib/plugins/bcprov-jdk15-1.46.jar
+%%DATADIR%%/lib/plugins/bndlib-2.1.0.jar
+%%DATADIR%%/lib/plugins/bsh-2.0b4.jar
+%%DATADIR%%/lib/plugins/commons-cli-1.2.jar
+%%DATADIR%%/lib/plugins/core-3.1.1.jar
+%%DATADIR%%/lib/plugins/geronimo-annotation_1.0_spec-1.0.jar
+%%DATADIR%%/lib/plugins/gradle-announce-1.12.jar
+%%DATADIR%%/lib/plugins/gradle-antlr-1.12.jar
+%%DATADIR%%/lib/plugins/gradle-build-comparison-1.12.jar
+%%DATADIR%%/lib/plugins/gradle-build-init-1.12.jar
+%%DATADIR%%/lib/plugins/gradle-code-quality-1.12.jar
+%%DATADIR%%/lib/plugins/gradle-core-impl-1.12.jar
+%%DATADIR%%/lib/plugins/gradle-cpp-1.12.jar
+%%DATADIR%%/lib/plugins/gradle-diagnostics-1.12.jar
+%%DATADIR%%/lib/plugins/gradle-ear-1.12.jar
+%%DATADIR%%/lib/plugins/gradle-ide-1.12.jar
+%%DATADIR%%/lib/plugins/gradle-ivy-1.12.jar
+%%DATADIR%%/lib/plugins/gradle-jacoco-1.12.jar
+%%DATADIR%%/lib/plugins/gradle-javascript-1.12.jar
+%%DATADIR%%/lib/plugins/gradle-jetty-1.12.jar
+%%DATADIR%%/lib/plugins/gradle-language-base-1.12.jar
+%%DATADIR%%/lib/plugins/gradle-language-jvm-1.12.jar
+%%DATADIR%%/lib/plugins/gradle-maven-1.12.jar
+%%DATADIR%%/lib/plugins/gradle-osgi-1.12.jar
+%%DATADIR%%/lib/plugins/gradle-plugins-1.12.jar
+%%DATADIR%%/lib/plugins/gradle-publish-1.12.jar
+%%DATADIR%%/lib/plugins/gradle-reporting-1.12.jar
+%%DATADIR%%/lib/plugins/gradle-scala-1.12.jar
+%%DATADIR%%/lib/plugins/gradle-signing-1.12.jar
+%%DATADIR%%/lib/plugins/gradle-sonar-1.12.jar
+%%DATADIR%%/lib/plugins/gson-2.2.4.jar
+%%DATADIR%%/lib/plugins/hamcrest-core-1.3.jar
+%%DATADIR%%/lib/plugins/jarjar-aether-api-1.13.1.jar
+%%DATADIR%%/lib/plugins/jarjar-aether-connector-wagon-1.13.1.jar
+%%DATADIR%%/lib/plugins/jarjar-aether-impl-1.13.1.jar
+%%DATADIR%%/lib/plugins/jarjar-aether-spi-1.13.1.jar
+%%DATADIR%%/lib/plugins/jarjar-aether-util-1.13.1.jar
+%%DATADIR%%/lib/plugins/jarjar-maven-aether-provider-3.0.4.jar
+%%DATADIR%%/lib/plugins/jarjar-maven-artifact-3.0.4.jar
+%%DATADIR%%/lib/plugins/jarjar-maven-compat-3.0.4.jar
+%%DATADIR%%/lib/plugins/jarjar-maven-core-3.0.4.jar
+%%DATADIR%%/lib/plugins/jarjar-maven-model-3.0.4.jar
+%%DATADIR%%/lib/plugins/jarjar-maven-model-builder-3.0.4.jar
+%%DATADIR%%/lib/plugins/jarjar-maven-plugin-api-3.0.4.jar
+%%DATADIR%%/lib/plugins/jarjar-maven-repository-metadata-3.0.4.jar
+%%DATADIR%%/lib/plugins/jarjar-maven-settings-3.0.4.jar
+%%DATADIR%%/lib/plugins/jarjar-maven-settings-builder-3.0.4.jar
+%%DATADIR%%/lib/plugins/jarjar-plexus-cipher-1.7.jar
+%%DATADIR%%/lib/plugins/jarjar-plexus-classworlds-2.4.jar
+%%DATADIR%%/lib/plugins/jarjar-plexus-component-annotations-1.5.5.jar
+%%DATADIR%%/lib/plugins/jarjar-plexus-container-default-1.5.5.jar
+%%DATADIR%%/lib/plugins/jarjar-plexus-interpolation-1.14.jar
+%%DATADIR%%/lib/plugins/jarjar-plexus-sec-dispatcher-1.3.jar
+%%DATADIR%%/lib/plugins/jarjar-plexus-utils-2.0.6.jar
+%%DATADIR%%/lib/plugins/jarjar-wagon-http-2.4.jar
+%%DATADIR%%/lib/plugins/jarjar-wagon-http-shared4-2.4.jar
+%%DATADIR%%/lib/plugins/jarjar-wagon-provider-api-2.4.jar
+%%DATADIR%%/lib/plugins/jatl-0.2.2.jar
+%%DATADIR%%/lib/plugins/jcommander-1.12.jar
+%%DATADIR%%/lib/plugins/jetty-6.1.25.jar
+%%DATADIR%%/lib/plugins/jetty-annotations-6.1.25.jar
+%%DATADIR%%/lib/plugins/jetty-naming-6.1.25.jar
+%%DATADIR%%/lib/plugins/jetty-plus-6.1.25.jar
+%%DATADIR%%/lib/plugins/jetty-util-6.1.25.jar
+%%DATADIR%%/lib/plugins/jsp-2.1-6.1.14.jar
+%%DATADIR%%/lib/plugins/jsp-api-2.1-6.1.14.jar
+%%DATADIR%%/lib/plugins/junit-4.11.jar
+%%DATADIR%%/lib/plugins/maven-ant-tasks-2.1.3.jar
+%%DATADIR%%/lib/plugins/nekohtml-1.9.14.jar
+%%DATADIR%%/lib/plugins/plexus-component-annotations-1.5.2.jar
+%%DATADIR%%/lib/plugins/pmaven-common-0.8-20100325.jar
+%%DATADIR%%/lib/plugins/pmaven-groovy-0.8-20100325.jar
+%%DATADIR%%/lib/plugins/rhino-1.7R3.jar
+%%DATADIR%%/lib/plugins/servlet-api-2.5-20081211.jar
+%%DATADIR%%/lib/plugins/simple-4.1.21.jar
+%%DATADIR%%/lib/plugins/snakeyaml-1.6.jar
+%%DATADIR%%/lib/plugins/sonar-batch-bootstrapper-2.9.jar
+%%DATADIR%%/lib/plugins/sonar-runner-2.0.jar
+%%DATADIR%%/lib/plugins/testng-6.3.1.jar
+%%DATADIR%%/lib/plugins/xbean-reflect-3.4.jar
+%%DATADIR%%/lib/plugins/xercesImpl-2.9.1.jar
+%%DATADIR%%/lib/plugins/xml-apis-1.3.04.jar
+%%DATADIR%%/lib/reflectasm-1.07-shaded.jar
+%%DATADIR%%/lib/slf4j-api-1.7.5.jar
+%%DATADIR%%/lib/xml-resolver-1.2.jar
+@dirrmtry %%DATADIR%%/lib/plugins
+@dirrmtry %%DATADIR%%/lib
+@dirrmtry %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Po-Chuan Hsieh freebsd_committer 2014-05-24 22:22:01 UTC
State Changed
From-To: open->closed

Committed. Thanks!